package com.censoft.censoftrongtong.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据中台资产项目数据对象 info_ledger
 * 
 * @author ruoyi
 * @date 2023-10-07
 */
public class InfoLedger{
    private static final long serialVersionUID = 1L;

    /** 资产项目ID */
    private String id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String name;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private String corp_name;

    /** 项目编码 */
    @Excel(name = "项目编码")
    private String business_code;

    /** 项目类型 */
    @Excel(name = "项目类型")
    private String business_type;

    /** 坐落号 */
    @Excel(name = "坐落号")
    private String location_number;

    /** 资产状态 */
    @Excel(name = "资产状态")
    private String asset_status;

    /** 来源类型 */
    @Excel(name = "来源类型")
    private String source_type;

    /** 接收人 */
    @Excel(name = "接收人")
    private String recipient;

    /** 资产接受时间 */
    @Excel(name = "资产接受时间")
    private String receiving_time;

    /** 区域类型 */
    @Excel(name = "区域类型")
    private String area_type;

    /** 资产类别 */
    @Excel(name = "资产类别")
    private String asset_rank;

    /** 规划用途 */
    @Excel(name = "规划用途")
    private String planned_use;

    /** 实际用途 */
    @Excel(name = "实际用途")
    private String practical_use;

    /** 规划容积率 */
    @Excel(name = "规划容积率")
    private String planned_floor_area_ratio;

    /** 集团资产编码 */
    @Excel(name = "集团资产编码")
    private String out_id;

    /** 财务系统资产编 */
    @Excel(name = "财务系统资产编")
    private String asset_code_of_financial_system;

    /** 建筑结构安全等级 */
    @Excel(name = "建筑结构安全等级")
    private String safety_level_of_building_structure;

    /** 楼栋数量 */
    @Excel(name = "楼栋数量")
    private String quantity_of_buildings;

    /** 项目经营现状 */
    @Excel(name = "项目经营现状")
    private String operation_situation;

    /** 纬度 */
    @Excel(name = "纬度")
    private String lat;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    /** 省 */
    @Excel(name = "省")
    private String province_name;

    /** 市 */
    @Excel(name = "市")
    private String city_name;

    /** 区 */
    @Excel(name = "区")
    private String district_name;

    /** 街道 */
    @Excel(name = "街道")
    private String street_name;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detail;

    /** 创建时间 */
    private String create_time;

    /** 更新时间 */
    private String update_time;

    /** 公司id */
    @Excel(name = "公司id")
    private String corp_id;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCorp_name() {
        return corp_name;
    }

    public void setCorp_name(String corp_name) {
        this.corp_name = corp_name;
    }

    public String getBusiness_code() {
        return business_code;
    }

    public void setBusiness_code(String business_code) {
        this.business_code = business_code;
    }

    public String getBusiness_type() {
        return business_type;
    }

    public void setBusiness_type(String business_type) {
        this.business_type = business_type;
    }

    public String getLocation_number() {
        return location_number;
    }

    public void setLocation_number(String location_number) {
        this.location_number = location_number;
    }

    public String getAsset_status() {
        return asset_status;
    }

    public void setAsset_status(String asset_status) {
        this.asset_status = asset_status;
    }

    public String getSource_type() {
        return source_type;
    }

    public void setSource_type(String source_type) {
        this.source_type = source_type;
    }

    public String getRecipient() {
        return recipient;
    }

    public void setRecipient(String recipient) {
        this.recipient = recipient;
    }

    public String getReceiving_time() {
        return receiving_time;
    }

    public void setReceiving_time(String receiving_time) {
        this.receiving_time = receiving_time;
    }

    public String getArea_type() {
        return area_type;
    }

    public void setArea_type(String area_type) {
        this.area_type = area_type;
    }

    public String getAsset_rank() {
        return asset_rank;
    }

    public void setAsset_rank(String asset_rank) {
        this.asset_rank = asset_rank;
    }

    public String getPlanned_use() {
        return planned_use;
    }

    public void setPlanned_use(String planned_use) {
        this.planned_use = planned_use;
    }

    public String getPractical_use() {
        return practical_use;
    }

    public void setPractical_use(String practical_use) {
        this.practical_use = practical_use;
    }

    public String getPlanned_floor_area_ratio() {
        return planned_floor_area_ratio;
    }

    public void setPlanned_floor_area_ratio(String planned_floor_area_ratio) {
        this.planned_floor_area_ratio = planned_floor_area_ratio;
    }

    public String getOut_id() {
        return out_id;
    }

    public void setOut_id(String out_id) {
        this.out_id = out_id;
    }

    public String getAsset_code_of_financial_system() {
        return asset_code_of_financial_system;
    }

    public void setAsset_code_of_financial_system(String asset_code_of_financial_system) {
        this.asset_code_of_financial_system = asset_code_of_financial_system;
    }

    public String getSafety_level_of_building_structure() {
        return safety_level_of_building_structure;
    }

    public void setSafety_level_of_building_structure(String safety_level_of_building_structure) {
        this.safety_level_of_building_structure = safety_level_of_building_structure;
    }

    public String getQuantity_of_buildings() {
        return quantity_of_buildings;
    }

    public void setQuantity_of_buildings(String quantity_of_buildings) {
        this.quantity_of_buildings = quantity_of_buildings;
    }

    public String getOperation_situation() {
        return operation_situation;
    }

    public void setOperation_situation(String operation_situation) {
        this.operation_situation = operation_situation;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getProvince_name() {
        return province_name;
    }

    public void setProvince_name(String province_name) {
        this.province_name = province_name;
    }

    public String getCity_name() {
        return city_name;
    }

    public void setCity_name(String city_name) {
        this.city_name = city_name;
    }

    public String getDistrict_name() {
        return district_name;
    }

    public void setDistrict_name(String district_name) {
        this.district_name = district_name;
    }

    public String getStreet_name() {
        return street_name;
    }

    public void setStreet_name(String street_name) {
        this.street_name = street_name;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public String getCorp_id() {
        return corp_id;
    }

    public void setCorp_id(String corp_id) {
        this.corp_id = corp_id;
    }
}
